SystemOrganization addCategory: #'GT-Scenery'!

!Text class methodsFor: '*GT-Scenery' stamp: 'AndreiChis 7/21/2014 17:26'!
loremImpsum
	
	^ 'Lorem ipsum dolor sit amet,' asText allBold, 

('consectetur adipiscing elit.' asText makeAllColor: Color blue), 

'Integer nec odio.' asText, 

'Praesent libero. Sed cursus ante dapibus diam.' asText, 

(('Sed nisi. Nulla quis sem at nibh elementum imperdiet.'asText addAttribute: TextEmphasis italic from: 1 to: 53 ) makeAllColor: Color red),

'Duis sagittis ipsum. Praesent mauris. Fusce nec tellus sed augue semper porta. Mauris massa.'asText, 

('Vestibulum lacinia arcu eget nulla. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.' asText allBold makeAllColor: Color green ) ! !

Object subclass: #GTScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

GTScenery subclass: #GTDebuggerPetitParserScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTDebuggerPetitParserScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 8/22/2014 07:18'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 201.0; 
		parent: #GTScenery;
		label: 'Debugger - PetitParser';
		action:[self new setUp];
		withSeparatorAfter! !

!GTDebuggerPetitParserScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:53'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'PPArithmeticParser parse: ''1+(2/3+4*5)''')! !

GTScenery subclass: #GTDebuggerTestCaseScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTDebuggerTestCaseScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 13:15'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 200.0; 
		parent: #GTScenery;
		label: 'Debugger - TestCase';
		action:[self new setUp]! !

!GTDebuggerTestCaseScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:53'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'testClass := TestCase subclass: #ATest
      instanceVariableNames: ''''
      classVariableNames: ''''
      poolDictionaries: ''''
      category: ''ATest''.
 testClass compile: ''testEquals
      self
           assert: #(1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 
49 50 51 51 51 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 
75 76 77 78 79 80 81 81 81 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99)
           equals: #(1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 
23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 
49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 
75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99)''.
 (Smalltalk globals at: #ATest) new
      setTestSelector: #testEquals;
      debug')! !

GTScenery subclass: #GTInspectorColorScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorColorScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 06:35'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 2.0; 
		parent: #GTScenery;
		label: 'Inspector - Color';
		action:[self new setUp]! !

!GTInspectorColorScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:45'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'Color indexedColors atRandom')! !

GTScenery subclass: #GTInspectorCompiledMethodScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorCompiledMethodScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 12:29'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 20.0; 
		parent: #GTScenery;
		label: 'Inspector - CompiledMethod';
		action:[self new setUp]! !

!GTInspectorCompiledMethodScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:47'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'Object>>#deep:do:')! !

GTScenery subclass: #GTInspectorComplexDictionaryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorComplexDictionaryScenery class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 7/21/2014 17:31'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 1.1; 
		parent: #GTScenery;
		label: 'Inspector - Dictionary 2';
		action:[self new setUp]! !

!GTInspectorComplexDictionaryScenery methodsFor: 'as yet unclassified' stamp: 'TudorGirba 9/6/2015 22:45'!
setUp
	"self cleanWindows."
	(GTPlayground openContents: 'Dictionary new
   	at: #date put: Date today;
   at: #text put: Text loremImpsum;
	at: #color put: Color red;
	yourself.')! !

GTScenery subclass: #GTInspectorCustomFilePagerScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorCustomFilePagerScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 8/22/2014 07:42'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 310.0; 
		parent: #GTScenery;
		label: 'Playground - Custom File Pager';
		action:[self new setUp]! !

!GTInspectorCustomFilePagerScenery methodsFor: 'setUp' stamp: 'TudorGirba 8/22/2014 07:42'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GLMPager new 
	with: [ :pager |
		pager show: [ :a :file |
			file gtInspectorItemsIn: a.
			file gtInspectorPngIn: a.
			file gtInspectorStScriptIn: a.
			file gtInspectorContentsIn: a ]];
     openOn: FileSystem disk workingDirectory').
! !

GTScenery subclass: #GTInspectorDictionaryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorDictionaryScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 06:35'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 1.0; 
		parent: #GTScenery;
		label: 'Inspector - Dictionary';
		action:[self new setUp]! !

!GTInspectorDictionaryScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:45'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '{
	#number -> 42 . 
	#string -> ''fourty-two'' . 
	#date -> Date today } 
		asDictionary')! !

GTScenery subclass: #GTInspectorFileReferenceScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorFileReferenceScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 5.0; 
		parent: #GTScenery;
		label: 'Inspector - FileReference';
		action:[self new setUp]! !

!GTInspectorFileReferenceScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:47'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'FileSystem workingDirectory').
	GTSnippets reset! !

GTScenery subclass: #GTInspectorInspectorItselfScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorItselfScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 13:18'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 99.0; 
		parent: #GTScenery;
		label: 'Inspector - Inspector';
		action:[self new setUp]! !

!GTInspectorInspectorItselfScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:50'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GTInspector')! !

GTScenery subclass: #GTInspectorInspectorSizeScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorSizeScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 13:16'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 100.0; 
		parent: #GTScenery;
		label: 'Inspector - Inspector size';
		action:[self new setUp];
		withSeparatorAfter! !

!GTInspectorInspectorSizeScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:50'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GTInspector package linesOfCode + 
((RPackageOrganizer default packages 
	select: [:each | each name beginsWith: ''GT-InspectorExtensions'']) 
		sum: #linesOfCode).')! !

GTScenery subclass: #GTInspectorMessageTallyScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorMessageTallyScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 12:31'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 21.0; 
		parent: #GTScenery;
		label: 'Inspector - MessageTally';
		action: [ self new setUp ]! !

!GTInspectorMessageTallyScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:50'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'MessageTally on: [ XMLParserTest new benchmark3 ].')! !

GTScenery subclass: #GTInspectorMethodQueryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorMethodQueryScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/26/2014 12:29'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 21.0; 
		parent: #GTScenery;
		label: 'Inspector - Method Query';
		action:[self new setUp]! !

!GTInspectorMethodQueryScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:49'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '(Object 
	withDeep: #subclasses 
	flatCollect: [ :each |
		Pragma
			allNamed: #gtInspectorPresentationOrder:
			in: each ])
	collect: [:each | each method asRingDefinition]')! !

GTScenery subclass: #GTInspectorPostgresScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorPostgresScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:25'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 6.0; 
		parent: #GTScenery;
		label: 'Inspector - Postgres';
		action:[self new setUp]! !

!GTInspectorPostgresScenery methodsFor: 'setUp' stamp: 'TudorGirba 7/27/2014 20:46'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '| conn |
conn := PGConnection new.
conn connectionArgs:
		(PGConnectionArgs
			hostname: ''localhost''
			portno: 5432
			databaseName: ''girba''
			userName: ''girba''
			password: '''').
conn startup.
conn') maximize.
	GTSnippets reset.
	GTSnippets snippetAt: #'PGConnection-SQL' put: 'select * from city
select 
		city.countrycode, 
		city.name as cityname, 
		city.population, 
		country.lifeexpectancy as life, 
		country.continent 
			from city 
			left join country
				on city.countrycode=country.code'.
	GTSnippets snippetAt: #PGResultSet asClass put: '| builder models |
models := (self dataRows
		sortDescending: [ :x | x atName: #population ])
		first: 100.
builder := GET2DiagramBuilder new.
builder horizontalBarDiagram
	models: models;
	modelLabels: [ :row | row atName: #cityname ];
	x: [ :row | row atName: #population ]";
	color: ((RTNIdentityNormalizer 
		withCommand: [ :row | row atName: #continent ]))".
builder view canvas when: TRResizeCanvasEvent do: [ 
		builder view canvas camera translateTo: 0@300. ].
builder'! !

GTScenery subclass: #GTInspectorPrintItScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorPrintItScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 8/22/2014 07:19'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 300.0; 
		parent: #GTScenery;
		label: 'Playground - Print It with Delay';
		action:[self new setUp]! !

!GTInspectorPrintItScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:55'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '"One has to wait a little to gets
the perfect answer"
(Delay forMilliseconds: 1000) wait.
42').
	(Workspace openContents: '"One has to wait a little to gets
the perfect answer"
(Delay forMilliseconds: 1000) wait.
42')! !

GTScenery subclass: #GTInspectorRubricEditingAreaScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorRubricEditingAreaScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 8/18/2014 09:43'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 20.0; 
		parent: #GTScenery;
		label: 'Inspector - Rubric';
		action:[self new setUp]! !

!GTInspectorRubricEditingAreaScenery methodsFor: 'setUp' stamp: 'TudorGirba 10/14/2014 22:15'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'area := RubEditingArea new
		beWrapped;
		withoutSelectionBar;
		beForSmalltalkScripting;
		setTextWith: ''"How is this text editor structured internally?"''.
area openInWindow width: 400.
area ') .
	GTSnippets reset.
	GTSnippets snippetAt: #RubEditingArea asClass put: 'view := ROMondrianViewBuilder new.
self textArea
     withDeep: [ :each |
          (each class withAllSuperclasses) flatCollect: [ :cls |
		(cls instVarNames collect: [ :iv | each instVarNamed: iv ])
                         select: [ :obj | obj class name beginsWith: ''Rub'' ] ] ]
     do: [ :each |
          view shape label text: [:x | (x asString removePrefix: ''a '') removePrefix: ''Rub''].
          view node: each ]
     relationDo: [ :from :to | view edges: {from->to} from: from to: to ].
view layout: RTHorizontalTreeLayout new.
view'! !

GTScenery subclass: #GTInspectorTextScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorTextScenery class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 7/21/2014 17:16'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 2.1; 
		parent: #GTScenery;
		label: 'Inspector - Text';
		action:[self new setUp]! !

!GTInspectorTextScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:46'!
setUp
	self cleanWindows.
	(GTPlayground openContents:   
	'''Lorem ipsum dolor sit amet,'' asText allBold, 

(''consectetur adipiscing elit.'' asText makeAllColor: Color blue), 

''Integer nec odio.'' asText, 

''Praesent libero. Sed cursus ante dapibus diam.'' asText, 

((''Sed nisi. Nulla quis sem at nibh elementum imperdiet.''asText addAttribute: TextEmphasis italic from: 1 to: 53 ) makeAllColor: Color red),

''Duis sagittis ipsum. Praesent mauris. Fusce nec tellus sed augue semper porta. Mauris massa.''asText, 

(''Vestibulum lacinia arcu eget nulla. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.'' asText allBold makeAllColor: Color green ) ')! !

GTScenery subclass: #GTInspectorWorldScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorWorldScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/25/2014 09:57'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 4.0; 
		parent: #GTScenery;
		label: 'Inspector - World';
		action:[self new setUp]! !

!GTInspectorWorldScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/26/2014 12:26'!
setUp
	self cleanWindows.
	SettingBrowser open extent: 600@400.
	GTPlayground openContents: '1 / 0.
World'! !

GTScenery subclass: #GTLiveAmountOfContributorsScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTLiveAmountOfContributorsScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 6/4/2014 09:17'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 0.2; 
		parent: #GTScenery;
		label: 'Live - Contributors';
		action:[self new setUp]! !

!GTLiveAmountOfContributorsScenery methodsFor: 'setUp' stamp: 'TudorGirba 9/6/2015 22:45'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '''Jean­Baptiste Arnaud, Simon Allier, Philippe Back, Clément Bera, Alexandre Bergel, Torsten Bergmann, Usman Bhatti, Vincent Blondeau, Noury Bouraqadi, Johan Brichau, Camillo Bruni, Sven Van Caekenberghe, Damien Cassou, Nicolas Cellier, Guido Chari, Dimitris Chloupis, Bernardo Contreras, Ben Coman, Gabriel Omar Cotelli, Jordi Delgado, Tommaso Del Sasso, Gisela Decuzzi, Christophe Demarey, Sean DeNigris, Marcus Denker, Martin Dias, Erwan Douaille, Stephane Ducasse, Stephan Eggermont, Pablo Estefo, Luc Fabresse, Johan Fabry, Hilaire Fernandes, Nahuel Garbezza, Leo Gassman, Lucas Giudice, Tudor Girba, Thierry Goubier, Norbert Hartl, Dale Henrichs, Pablo Herrero, Nicolai Hess, Andre Hora, Alejandro Infante, Ricardo Jacas, Henrik Sperre Johansen, Denis Kudryashov, Pavel Krivanek, Juraj Kubelka, Laurent Laffont, Jannik Laval, Max Leske, David Lewis, Diego Lont, Esteban Lorenzano, Stefan Marr, Mariano Martinez Peck, Roberto Minelli, Hernan Morales Durand, Eliot Miranda, Fernando Olivero, Nicolas Papagna Maldonado, Nick Papoylias, Nicolas Passerini, Vanessa Peña, Nicolas Petton, Alain Plantec, Guillermo Polito, Damien Pollet, Sergi Reyner, Jochen Rick, Benjamin Van Ryseghem, Ronie Salgado, Camille Teruel, Juan Pablo Sandoval Alcocer, Samir Saleh, Frank Shearar, Igor Stasenko, Aliaksei Syrel, Sebastian Tleye, Yuriy Tymchuk, Andres Valloud, Martin Walk, Hernan Wilkinson''')! !

GTScenery subclass: #GTLiveBouncingAtomsScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTLiveBouncingAtomsScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 6/4/2014 09:18'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 0.1; 
		parent: #GTScenery;
		label: 'Live - Bouncing Atoms';
		action:[self new setUp]! !

!GTLiveBouncingAtomsScenery methodsFor: 'setUp' stamp: 'TudorGirba 6/4/2014 09:17'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'BouncingAtomsMorph new openInWorld') maximize! !

!GTScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/19/2014 07:26'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: #GTScenery)
		order: 7.0; 
		label: 'Scenery';
		withSeparatorAfter! !

!GTScenery methodsFor: 'utilities' stamp: 'TudorGirba 5/18/2014 21:56'!
cleanWindows
	(World submorphs 
		select: [ :each | each isKindOf: SystemWindow ])
		do: #delete! !

!GTScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:54'!
setUp
	! !
